Bug 101755 - ash does not build
ash does not build
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ash (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 11:41 EDT by Michael Redinger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 21:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to build ash using GNU make. Needs updated spec file. (4.57 KB, patch)
2003-08-06 15:47 EDT, Lon Hohberger
no flags Details | Diff
Patch to make ash build using GNU tools. Needs new spec file. (6.57 KB, patch)
2003-08-06 16:04 EDT, Lon Hohberger
no flags Details | Diff
Updated spec file to make ash build using GNU tools. (5.81 KB, text/plain)
2003-08-06 16:05 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Michael Redinger 2003-08-06 11:41:26 EDT
The Taroon ash-0.3.8-10.src.rpm package does not build correctly
on Taroon (everything install) because there are failed dependencies:

error: Failed build dependencies:
        pmake >= 1.45 is needed by ash-0.3.8-10

pmake: not available, but included in Severn
Comment 1 Lon Hohberger 2003-08-06 15:46:12 EDT
Ported ash to GNU tools.
Comment 2 Lon Hohberger 2003-08-06 15:47:06 EDT
Created attachment 93454 [details]
Patch to build ash using GNU make.  Needs updated spec file.
Comment 3 Lon Hohberger 2003-08-06 15:48:34 EDT
Build failed on some platforms, still working kinks out.
Comment 4 Lon Hohberger 2003-08-06 16:04:02 EDT
Created attachment 93455 [details]
Patch to make ash build using GNU tools.  Needs new spec file.
Comment 5 Lon Hohberger 2003-08-06 16:05:03 EDT
Created attachment 93456 [details]
Updated spec file to make ash build using GNU tools.
Comment 6 Lon Hohberger 2003-08-06 16:13:32 EDT
ash-0.3.8-14 will be in Sushi soon.

You can try a source rpm in the meantime (which should solve the problem):

http://people.redhat.com/lhh/ash-0.3.8-14.src.rpm

Comment 7 Jay Turner 2003-08-06 21:37:11 EDT
Fix confirmed with ash-0.3.8-14.src.rpm.

Note You need to log in before you can comment on or make changes to this bug.